Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Back to API List To add specific questions to the Knowledge Graph.
FieldValue
MethodPOST
Endpointhttps://{{host}}/api/public/bot/{{botId}}/faqs/bulk?language=en
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Manage Knowledge Graph; Admin Console: Manage Knowledge Graph

Path Parameters

ParameterDescriptionMandate
hostThe environment URL. For example, https://platform.kore.aiRequired
BotIdBot ID or Stream ID can be accessed under General Settings page.Required

Query Parameters

ParameterDescriptionMandate
languageThe agent language identified by the language acronym. For example, en for English and de for German.Required

Sample Request

curl --location 'https://platform.kore.ai/api/public/bot/botID/faqs/bulk?language=en' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'content-type: application/json' \
--data-raw '{
"faqs": [
{
"questionPayload": {
    "question": "question", //question - GET EXTRACTION QUESTION
    "tagsPayload": []
},
"answerPayload": [{
    "text": "", //answer - GET EXTRACTION QUESTION
    "type": "basic",
    "channel": "default"
}],
"knowledgeTaskId": "645e0aab1ee65252a43xxxxx", // "_id" - GET KNOWLEDGE TASKS
"subQuestions": [],
"responseType": "message",
"subAnswers": [],
"streamId": "botId",
"parent": "f1324935-341d-5b0e-8551-c705a2exxxxx", //"parent" - GET KNOWLEDGE TASKS
"leafterm": "Botname",
"qsId": "qna-f6014fd0-f8e8-5cb1-b952-cf9e570xxxxx" // "_id" -  GET EXTRACTION QUESTION
   }
  ]
}'

Body Parameters

ParameterDescriptionMandate
faqsAn array with the following parameter values: questionPayload (question), answerPayload (text, type, channel), knowledgeTaskId, subQuestions, responseType, subAnswers, streamId, parent, leafterm, qsIdRequired

Sample Response

{
      "status": "success"
}